CREATE TABLE Centro_Costos_Saldos(
	Id_Centro_Costo_Saldo INT IDENTITY(1,1) NOT NULL,
	Id_Centro_Costo	CHAR(10),
	Id_Unid_Negocio CHAR(10) NOT NULL,
	Periodo DATE NOT NULL,
	SA DECIMAL(16, 2) NULL,
	Ingresos DECIMAL(16, 2) NULL,
	Egresos DECIMAL(16, 2) NULL,
	Saldo DECIMAL(16, 2) NULL,
	Nota  TEXT
	CONSTRAINT PK_Centro_Costos_Saldos_PorID PRIMARY KEY CLUSTERED 
	(
		Id_Centro_Costo_Saldo ASC
	)
)

GO

ALTER TABLE Centro_Costos_Saldos ADD  CONSTRAINT FK_Centro_Costos_Saldos_PorUN FOREIGN KEY(Id_Unid_Negocio)
	REFERENCES Empresas_Unid_Negocios (Id_Unid_Negocio)
GO

CREATE INDEX IX_Centro_Costos_Saldos_PorCC ON Centro_Costos_Saldos (Id_Centro_Costo,Periodo)
GO 

ALTER TABLE Centro_Costos_Saldos ADD  CONSTRAINT FK_Centro_Costos_Saldos_PorCC FOREIGN KEY(Id_Centro_Costo)
	REFERENCES Centro_Costos (Id_Centro_Costo)
GO

